import { CachingConfig } from "./caching-config";
import { LoggingConfig } from './logging-config';
export declare class ServiceConfig {
    apiUrl: string;
    usersEndpoint: string;
    listItemsEndpoint: string;
    username: string;
    password: string;
    photos: {
        site: string;
        list: string;
        additionalPropertiesToRetrieve?: string[];
    };
    caching?: CachingConfig;
    logging?: LoggingConfig;
}
