import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { DatabaseFileInfo } from '../model/database-file-info';
import { FilesystemFileInfo } from '../model/filesystem-file-info';
import { FileUploadRequest } from '../model/file-upload-request';
import { ServiceConfig } from '../model/service-config';
import * as i0 from "@angular/core";
export declare class UploadService {
    private http;
    config: ServiceConfig;
    constructor(http: HttpClient, config: ServiceConfig);
    upload(files: Set<File>): any;
    exists(fileName: string): Observable<boolean>;
    download(request: FileUploadRequest): Observable<Blob>;
    getUploadInfo(request: FileUploadRequest): Observable<DatabaseFileInfo | DatabaseFileInfo[] | FilesystemFileInfo | FilesystemFileInfo[]>;
    static ɵfac: i0.ɵɵFactoryDeclaration<UploadService, [null, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<UploadService>;
}
